program summary
  real :: sum, sum1
  integer :: n

  sum = 1.
  !sum1 = 0.
  !n = 1

  do while ( 1+ sum > 1. )
     !n = n + 1.
     sum = sum / 2. !+ 1./n
     print*, sum !'n=',n, ',  summa is = ', sum
  enddo

  !print*,'End after ',n,'-steps, sum = ', sum

end program summary

